Bug 203467 - lang/polyml: Fix build on CURRENT, Enable shared
Summary: lang/polyml: Fix build on CURRENT, Enable shared
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexey Dokuchaev
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-01 09:41 UTC by hannes
Modified: 2015-10-23 17:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (beyert)


Attachments
Makefile diff (859 bytes, patch)
2015-10-01 09:41 UTC, hannes
no flags Details | Diff
pkg-plist.diff (327 bytes, patch)
2015-10-01 09:42 UTC, hannes
no flags Details | Diff
single unified diff (1.06 KB, patch)
2015-10-20 08:22 UTC, hannes
koobs: maintainer-approval? (beyert)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hannes 2015-10-01 09:41:47 UTC
Created attachment 161589 [details]
Makefile diff

polyml currently uses "-lstdc++" in configure (which is no longer available with recent llvm); also, exposing polyml as a shared library (as required by e.g. HOL4) is not enabled.

The attached patch removes "-lstdc++" from configure; also it passed "--enable-shared" to configure, such that the shared object is built.

Also, libpolyml.so[.6[.0.0]] are added to pkg-plist.
Comment 1 hannes 2015-10-01 09:42:13 UTC
Created attachment 161590 [details]
pkg-plist.diff
Comment 2 Timothy Beyer 2015-10-01 15:53:43 UTC
I will test this patch when I get home from work.
Comment 3 hannes 2015-10-08 09:56:15 UTC
any remarks? I'm using this successfully on a CURRENT which is a week old (llvm 3.6.1)
Comment 4 Timothy Beyer 2015-10-09 03:42:30 UTC
Sorry about the delay, the patch works correctly on my system.  I was able to build and install the port and compiled a small SML file without issues.

Approved.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 07:52:10 UTC
@Hannes, could you obsolete the existing patches (Click Details -> Edit Details -> Tock [ ] Obsolete) and replace them with a single unified diff against the port please (you may use svn diff or diff -u)

@Bayert, we'll also need maintainer-approval (+) on that attachment once thats done. If you can't set the flag, just add the following in a comment:

Attachment <id> is approved
Comment 6 hannes 2015-10-20 08:22:55 UTC
Created attachment 162231 [details]
single unified diff
Comment 7 hannes 2015-10-20 08:24:10 UTC
@koobs I added a single unified diff, and obsoleted the others.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 08:27:24 UTC
Thank you Hannes :) Can you confirm this passes QA (portlint, poudriere) ?
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 08:27:39 UTC
Comment on attachment 162231 [details]
single unified diff

Pending maintainer approval
Comment 10 hannes 2015-10-20 08:40:02 UTC
portlint:
WARN: Makefile: [21]: the options to USES are not sorted.  Please consider sorting them.
0 fatal errors and 1 warning found.

poudriere builds fine, and the resulting package works!
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 08:41:21 UTC
Would you like to address the portlint warning, or leave it till nextime?
Comment 12 hannes 2015-10-20 08:43:34 UTC
Out of scope for this patch.  It was there before, the patch doesn't touch USES.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 08:51:41 UTC
While we're waiting for maintainer-approval anyway ;)
Comment 14 Alexey Dokuchaev freebsd_committer 2015-10-23 16:43:56 UTC
We're not waiting for anything: maintainer had approved adding of `--enable-shared' to CONFIGURE_ARGS, any remaining build fallout and infrastructure-related changes are our pain.  I'll handle it.
Comment 15 commit-hook freebsd_committer 2015-10-23 17:24:17 UTC
A commit references this bug:

Author: danfe
Date: Fri Oct 23 17:24:12 UTC 2015
New revision: 400041
URL: https://svnweb.freebsd.org/changeset/ports/400041

Log:
  - Allow exposing polyml as a shared library (as required by e.g. HOL4)
  - Strip installed library as advised by portlint(1)
  - While here, sort knobs and remove useless .include <bsd.port.options.mk>

  PR:		203467
  Approved by:	maintainer

Changes:
  head/lang/polyml/Makefile
  head/lang/polyml/pkg-plist
Comment 16 Alexey Dokuchaev freebsd_committer 2015-10-23 17:25:58 UTC
Committed as ports r400041, thank you for submission!